package main

import (
	"fmt"
	csvwriter "source/pkg/csv_writer"
)

func main() {
	// Простой способ
	results := []csvwriter.BenchmarkResult{
		{Structure: "HashTable", Mode: "Chaining", Operation: "Insert", Time: 0.001234},
		{Structure: "LinkedList", Mode: "Singly", Operation: "Search", Time: 0.005678},
		{Structure: "BSTree", Mode: "Recursive", Operation: "Delete", Time: 0.003456},
	}

	if err := csvwriter.AppendRaw(results); err != nil {
		fmt.Printf("Ошибка: %v\n", err)
	}
}
